org.wildfly.plugin.core

## Interface ContainerDescription

-     public interface ContainerDescription

  Information about the running container.
  Author:
    James R. Perkins

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLaunchType()` Returns the type of the server that was launched.
    `String` | `getProductName()` Returns the name of the product.
    `String` | `getProductVersion()` Returns the product version, if defined, or `null` if the product version was not defined.
    `String` | `getReleaseVersion()` Returns the release version, if defined, or `null` if the release version was not defined.
    `boolean` | `isDomain()` Checks if the server is a managed domain server.

- - ### Method Detail

    - #### getProductName

          String getProductName()

      Returns the name of the product.
      Returns:
        the name of the product

    - #### getProductVersion

          String getProductVersion()

      Returns the product version, if defined, or `null` if the product version was not defined.
      Returns:
        the product version or `null` if not defined

    - #### getReleaseVersion

          String getReleaseVersion()

      Returns the release version, if defined, or `null` if the release version was not defined.

      Note that in WildFly 9+ this is usually the version for WildFly Core. In WildFly 8 this is the full version.

      Returns:
        the release version or `null` if not defined

    - #### getLaunchType

          String getLaunchType()

      Returns the type of the server that was launched.
      Returns:
        the type of the server that was launched or `null` if not defined

    - #### isDomain

          boolean isDomain()

      Checks if the server is a managed domain server.
      Returns:
        `true` if this is a managed domain, otherwise `false`

Copyright © 2021 JBoss by Red Hat. All rights reserved.